Requirements for ArcGIS Server (AGS)10.5.1

460
2
06-29-2017 12:53 PM
MichaelVolz
Esteemed Contributor

One of the requirements for AGS 10.5.1 is Microsoft Core XML Services (MSXML) 6.

How does one verify that this piece of software has been installed on the server?  Should there be an entry for this item in Programs and Features in the Control Panel?

0 Kudos
2 Replies
JayantaPoddar
MVP Esteemed Contributor

According to ArcGIS Server 10.5.x system requirements—Installation Guides (10.5) | ArcGIS Enterprise 

If the ArcGIS Server installation is performed through the GUI, the installation process automatically installs it for you.

Else see Determine the Version of MSXML Parser Installed on a Computer - Microsoft Support 

Another easy way to detect the version of MSXML is through Registry Editor.

Navigate to the following path in Registry Editor (regedit.exe)

HKEY_CLASSES_ROOT\CLSID\{2933BF90-7B36-11D2-B20E-00C04F983E60}\VersionList

MichaelVolz
Esteemed Contributor

Thank you very much Jayanta.  It would be much better if the installation of a component such as Microsoft Core XML Services (MSXML) 6 can be verified by looking in Control Panel->Programs, though, as that is much more intuitive than your link or searching through the Registry.